phpLDAPadmin

# Class: TemplateRender

Source Location: /templates/3rdParty/pla/lib/TemplateRender.php

### Class Overview

    Visitor
       |
       --PageRender
          |
          --TemplateRender

TemplateRender class

### Methods

- accept
- drawBlurJavascriptAttribute
- drawCheckLinkPasswordAttribute
- drawContainerChooser
- drawDefaultHelperPasswordAttribute
- drawDefaultHelperSambaPasswordAttribute
- drawDnValueIconAttribute
- drawEndValueLineAttribute
- drawFillJavascriptAttribute
- drawFocusJavascriptAttribute
- drawForm
- drawFormEnd
- drawFormStart
- drawFormSubmitButton
- drawHelperAttribute
- drawIconAttribute
- drawIconDnAttribute
- drawIconObjectClassAttribute
- drawIconSelectionAttribute
- drawInternalAttribute
- drawInternalAttributes
- drawJavascript
- drawJavascriptAttribute
- drawJavascriptBinaryAttribute
- drawJavaScriptDateAttribute
- drawJavascriptPasswordAttribute
- drawJavascriptRandomPasswordAttribute
- drawMailValueIconAttribute
- drawMenuAttribute
- drawObjectClassChooser
- drawRDNChooser
- drawRequiredSymbolAttribute
- drawSelectorPopupDateAttribute
- drawStartValueLineAttribute
- drawStepForm
- drawSubTitle
- drawTemplateAttribute
- drawTemplateChoice
- drawTemplateValuesAttribute
- drawTitle
- drawTitleAttribute
- drawUrlValueIconAttribute
- drawValidateJavascriptAttribute
- drawValueAttribute
- getAddValueMenuItemAttribute
- getAddValueMenuItemObjectClassAttribute
- getBlurJavascriptAttribute
- getDefaultAttribute
- getDeleteAttributeMessage
- getFocusJavascriptAttribute
- getMenuItemAddAttribute
- getMenuItemAttribute
- getMenuItemCompare
- getMenuItemCreate
- getMenuItemExportBase
- getMenuItemExportSub
- getMenuItemInternalAttributes
- getMenuItemRename
- getMenuItemSelectionAttribute
- getMenuItemShowChildren
- getMenuItemSwitchTemplate
- getMode
- getModeContainer
- getModifiedAttributesMessage
- getModifyMemberMenuItemAttribute
- getReadOnlyMessage
- getRenameMenuItemAttribute
- getViewSchemaMessage
- haveDefaultTemplate

### Child classes:

MassRender
  TemplateRender class

### Inherited Variables

#### Class: PageRender

PageRender::$container
PageRender::$dn
PageRender::$page
PageRender::$template
PageRender::$template_id

#### Class: Visitor

Visitor::$server_id

### Inherited Methods

#### Class: PageRender

PageRender::__construct()
PageRender::accept()
  Initialise the PageRender
PageRender::drawCurrentValueAttribute()
  Draw the current specific value of an attribute
PageRender::drawCurrentValueBinaryAttribute()
PageRender::drawCurrentValueJpegAttribute()
  Draw a Jpeg Attribute
PageRender::drawCurrentValuePasswordAttribute()
PageRender::drawCurrentValuesAttribute()
  DRAW DISPLAYED CURRENT VALUES *
PageRender::drawFormReadOnlyValueAttribute()
PageRender::drawFormReadOnlyValueBinaryAttribute()
PageRender::drawFormReadOnlyValueJpegAttribute()
PageRender::drawFormReadOnlyValueMultiLineAttribute()
PageRender::drawFormReadOnlyValuePasswordAttribute()
PageRender::drawFormReadOnlyValueShadowAttribute()
PageRender::drawFormReadWriteValueAttribute()
PageRender::drawFormReadWriteValueBinaryAttribute()
PageRender::drawFormReadWriteValueDateAttribute()
PageRender::drawFormReadWriteValueDnAttribute()
PageRender::drawFormReadWriteValueGidAttribute()
PageRender::drawFormReadWriteValueMultiLineAttribute()
PageRender::drawFormReadWriteValuePasswordAttribute()
PageRender::drawFormReadWriteValueSelectionAttribute()
PageRender::drawFormReadWriteValueShadowAttribute()
PageRender::drawFormValueAttribute()
  Draw a input value for an attribute - used in a form.
PageRender::drawFormValueObjectClassAttribute()
PageRender::drawHiddenAttributes()
  Draw all hidden attributes
PageRender::drawHiddenValueAttribute()
  Draw specific hidden attribute
PageRender::drawHiddenValueBinaryAttribute()
  Draw specific hidden binary attribute
PageRender::drawNameAttribute()
  DRAW ATTRIBUTE NAME *
PageRender::drawNotesAttribute()
  ATTRIBUTE NOTES
PageRender::drawOldValueAttribute()
PageRender::drawOldValueBinaryAttribute()
PageRender::drawOldValueJpegAttribute()
  Draw a Jpeg Attribute
PageRender::drawOldValuePasswordAttribute()
PageRender::drawOldValuesAttribute()
  DRAW DISPLAYED OLD VALUES *
PageRender::drawShadowDateShadowAttribute()
PageRender::drawSubTitle()
PageRender::drawTitle()
PageRender::getAutoPostPasswordAttribute()
PageRender::getMode()
  May be overloaded in other classes
PageRender::getModeContainer()
PageRender::getNoteAliasAttribute()
PageRender::getNoteHintAttribute()
PageRender::getNoteRDNAttribute()
PageRender::getNoteRequiredAttribute()
PageRender::getNoteROAttribute()
PageRender::getPostAttribute()
  Process our <post> arguments from the templates
PageRender::getTemplate()
PageRender::getTemplateChoice()
  This function is invoked if we dont know which template we should be using.
PageRender::getTemplateID()
PageRender::getTemplates()
  Get our templates applicable for this object
PageRender::setContainer()
PageRender::setDN()
PageRender::visitAttribute()
  Dummy method...

#### Class: Visitor

Visitor::getServer()
  Return this LDAP Server object
Visitor::getServerID()
  Return the LDAP server ID
Visitor::__call()

### Class Details

[line 15]
TemplateRender class
[ Top ]

### Class Methods

### method accept [line 24]

`void accept( [ $norender = false])`

Initialise and Render the TemplateRender

#### Tags:

access: | public

Overrides PageRender::accept() (Initialise the PageRender)

#### Parameters:

| $norender |

[ Top ]

### method drawBlurJavascriptAttribute [line 1975]

`void drawBlurJavascriptAttribute( $attribute, $component)`

#### Tags:

access: | protected

#### Parameters:

| $attribute |
| $component |

[ Top ]

### method drawCheckLinkPasswordAttribute [line 2397]

`void drawCheckLinkPasswordAttribute( $attribute, $component_id)`

#### Tags:

access: | protected

#### Parameters:

| $attribute |
| $component_id |

[ Top ]

### method drawContainerChooser [line 1297]

`void drawContainerChooser( $default_container)`

Container Chooser

#### Tags:

access: | protected

#### Parameters:

| $default_container |

[ Top ]

### method drawDefaultHelperPasswordAttribute [line 2444]

`void drawDefaultHelperPasswordAttribute( $attribute, $i)`

#### Tags:

access: | protected

#### Parameters:

| $attribute |
| $i |

[ Top ]

### method drawDefaultHelperSambaPasswordAttribute [line 2465]

`void drawDefaultHelperSambaPasswordAttribute( $attribute, $i)`

#### Tags:

access: | protected

#### Parameters:

| $attribute |
| $i |

[ Top ]

### method drawDnValueIconAttribute [line 1857]

`void drawDnValueIconAttribute( $attribute, $val)`

#### Tags:

access: | protected

#### Parameters:

| $attribute |
| $val |

[ Top ]

### method drawEndValueLineAttribute [line 1790]

`void drawEndValueLineAttribute( $attribute)`

#### Tags:

access: | protected

#### Parameters:

| $attribute |

[ Top ]

### method drawFillJavascriptAttribute [line 1979]

`void drawFillJavascriptAttribute( $attribute, $component_id, $component_value)`

#### Tags:

access: | protected

#### Parameters:

| $attribute |
| $component_id |
| $component_value |

[ Top ]

### method drawFocusJavascriptAttribute [line 1971]

`void drawFocusJavascriptAttribute( $attribute, $component)`

#### Tags:

access: | protected

#### Parameters:

| $attribute |
| $component |

[ Top ]

### method drawForm [line 1378]

`void drawForm( [ $nosubmit = false])`

#### Tags:

access: | protected

#### Parameters:

| $nosubmit |

[ Top ]

### method drawFormEnd [line 1400]

`void drawFormEnd( )`

#### Tags:

access: | public

[ Top ]

### method drawFormStart [line 1367]

`void drawFormStart( )`

FORM METHODS *

#### Tags:

access: | public

[ Top ]

### method drawFormSubmitButton [line 1434]

`void drawFormSubmitButton( )`

#### Tags:

access: | public

[ Top ]

### method drawHelperAttribute [line 2163]

`void drawHelperAttribute( $attribute, $i)`

#### Tags:

access: | protected

#### Parameters:

| $attribute |
| $i |

[ Top ]

### method drawIconAttribute [line 1841]

`void drawIconAttribute( $attribute, $val)`

DRAW ICONS FOR ATTRIBUTES VALUES *

#### Tags:

access: | protected

#### Parameters:

| $attribute |
| $val |

[ Top ]

### method drawIconDnAttribute [line 2354]

`void drawIconDnAttribute( $attribute, $val)`

DN ATTRIBUTES *

#### Tags:

access: | protected

#### Parameters:

| $attribute |
| $val |

[ Top ]

### method drawIconObjectClassAttribute [line 2362]

`void drawIconObjectClassAttribute( $attribute, $val)`

OBJECT CLASS ATTRIBUTE *

#### Tags:

access: | protected

#### Parameters:

| $attribute |
| $val |

[ Top ]

### method drawIconSelectionAttribute [line 2486]

`void drawIconSelectionAttribute( $attribute, $val)`

SELECTION ATTRIBUTE RENDERING *

#### Tags:

access: | protected

#### Parameters:

| $attribute |
| $val |

[ Top ]

### method drawInternalAttribute [line 1359]

`void drawInternalAttribute( $attribute)`

#### Tags:

access: | protected

#### Parameters:

| $attribute |

[ Top ]

### method drawInternalAttributes [line 1349]

`void drawInternalAttributes( )`

INTERNAL ATTRIBUTES *

#### Tags:

access: | protected

[ Top ]

### method drawJavascript [line 1600]

`void drawJavascript( )`

DRAW PAGE JAVACRIPT

#### Tags:

access: | protected

[ Top ]

### method drawJavascriptAttribute [line 1897]

`void drawJavascriptAttribute( $attribute)`

javacript

#### Tags:

access: | protected

#### Parameters:

| $attribute |

[ Top ]

### method drawJavascriptBinaryAttribute [line 2260]

`void drawJavascriptBinaryAttribute( $attribute)`

BINARY ATTRIBUTE RENDERING *

#### Tags:

access: | protected

#### Parameters:

| $attribute |

[ Top ]

### method drawJavaScriptDateAttribute [line 2304]

`void drawJavaScriptDateAttribute( $attribute)`

DATE ATTRIBUTE RENDERING *

#### Tags:

access: | protected

#### Parameters:

| $attribute |

[ Top ]

### method drawJavascriptPasswordAttribute [line 2368]

`void drawJavascriptPasswordAttribute( $attribute)`

PASSWORD ATTRIBUTES *

#### Tags:

access: | protected

#### Parameters:

| $attribute |

[ Top ]

### method drawJavascriptRandomPasswordAttribute [line 2411]

`void drawJavascriptRandomPasswordAttribute( $attribute)`

This will draw the javascript that displays to the user the random password generated

#### Tags:

todo: | This function doesnt work well if there are more than 1 RandomPasswordAttributes on the form for the same attribute (unlikely situation)
access: | protected

#### Parameters:

| $attribute |

[ Top ]

### method drawMailValueIconAttribute [line 1869]

`void drawMailValueIconAttribute( $attribute, $val)`

#### Tags:

access: | protected

#### Parameters:

| $attribute |
| $val |

[ Top ]

### method drawMenuAttribute [line 2000]

`void drawMenuAttribute( $attribute)`

ATTRIBUTE MENU *

#### Tags:

access: | protected

#### Parameters:

| $attribute |

[ Top ]

### method drawObjectClassChooser [line 1316]

`void drawObjectClassChooser( )`

Object Class Chooser

#### Tags:

access: | protected

[ Top ]

### method drawRDNChooser [line 1256]

`void drawRDNChooser( )`

RDN Chooser

#### Tags:

access: | protected

[ Top ]

### method drawRequiredSymbolAttribute [line 2250]

`void drawRequiredSymbolAttribute( $attribute)`

#### Tags:

access: | protected

#### Parameters:

| $attribute |

[ Top ]

### method drawSelectorPopupDateAttribute [line 2347]

`void drawSelectorPopupDateAttribute( $attribute, $i)`

Draws an HTML date selector button which, when clicked, pops up a date selector dialog.

#### Tags:

access: | protected

#### Parameters:

| $attribute |
| $i |

[ Top ]

### method drawStartValueLineAttribute [line 1778]

`void drawStartValueLineAttribute( $attribute)`

ATTRIBUTE LINE *

#### Tags:

access: | protected

#### Parameters:

| $attribute |

[ Top ]

### method drawStepForm [line 1488]

`void drawStepForm( $page)`

#### Tags:

access: | protected

#### Parameters:

| $page |

[ Top ]

### method drawSubTitle [line 712]

`void drawSubTitle( [ $subtitle = null])`

#### Tags:

access: | public

Overrides PageRender::drawSubTitle() (parent method not documented)

#### Parameters:

| $subtitle |

[ Top ]

### method drawTemplateAttribute [line 1804]

`void drawTemplateAttribute( $attribute)`

#### Tags:

access: | protected

#### Parameters:

| $attribute |

[ Top ]

### method drawTemplateChoice [line 485]

`void drawTemplateChoice( )`

Present a list of available templates for creating and editing LDAP entries

#### Tags:

access: | protected

[ Top ]

### method drawTemplateValuesAttribute [line 1811]

`void drawTemplateValuesAttribute( $attribute)`

#### Tags:

access: | protected

#### Parameters:

| $attribute |

[ Top ]

### method drawTitle [line 692]

`void drawTitle( [ $title = null])`

#### Tags:

access: | public

Overrides PageRender::drawTitle() (parent method not documented)

#### Parameters:

| $title |

[ Top ]

### method drawTitleAttribute [line 1753]

`void drawTitleAttribute( $attribute)`

ATTRIBUTE TITLE *

#### Tags:

access: | protected

#### Parameters:

| $attribute |

[ Top ]

### method drawUrlValueIconAttribute [line 1880]

`void drawUrlValueIconAttribute( $attribute, $val)`

#### Tags:

access: | protected

#### Parameters:

| $attribute |
| $val |

[ Top ]

### method drawValidateJavascriptAttribute [line 1984]

`void drawValidateJavascriptAttribute( $attribute, $component, $silence, $var_valid)`

#### Tags:

access: | protected

#### Parameters:

| $attribute |
| $component |
| $silence |
| $var_valid |

[ Top ]

### method drawValueAttribute [line 2131]

`void drawValueAttribute( $attribute, $i)`

values *

#### Tags:

access: | protected

#### Parameters:

| $attribute |
| $i |

[ Top ]

### method getAddValueMenuItemAttribute [line 2062]

`void getAddValueMenuItemAttribute( $attribute)`

#### Tags:

access: | protected

#### Parameters:

| $attribute |

[ Top ]

### method getAddValueMenuItemObjectClassAttribute [line 2080]

`void getAddValueMenuItemObjectClassAttribute( $attribute)`

#### Tags:

access: | protected

#### Parameters:

| $attribute |

[ Top ]

### method getBlurJavascriptAttribute [line 1959]

`void getBlurJavascriptAttribute( $attribute, $component)`

#### Tags:

access: | protected

#### Parameters:

| $attribute |
| $component |

[ Top ]

### method getDefaultAttribute [line 88]

`void getDefaultAttribute( $attribute, $container, $type)`

#### Tags:

access: | protected

#### Parameters:

| $attribute |
| $container |
| $type |

[ Top ]

### method getDeleteAttributeMessage [line 998]

`void getDeleteAttributeMessage( )`

#### Tags:

access: | protected

[ Top ]

### method getFocusJavascriptAttribute [line 1950]

`void getFocusJavascriptAttribute( $attribute, $component)`

#### Tags:

access: | protected

#### Parameters:

| $attribute |
| $component |

[ Top ]

### method getMenuItemAddAttribute [line 1193]

`void getMenuItemAddAttribute( )`

#### Tags:

access: | protected

[ Top ]

### method getMenuItemAttribute [line 2019]

`void getMenuItemAttribute( $attribute, $action)`

#### Tags:

access: | protected

#### Parameters:

| $attribute |
| $action |

[ Top ]

### method getMenuItemCompare [line 1159]

`void getMenuItemCompare( )`

#### Tags:

access: | protected

[ Top ]

### method getMenuItemCreate [line 1176]

`void getMenuItemCreate( )`

#### Tags:

access: | protected

[ Top ]

### method getMenuItemExportBase [line 1072]

`void getMenuItemExportBase( )`

#### Tags:

access: | protected

[ Top ]

### method getMenuItemExportSub [line 1234]

`void getMenuItemExportSub( )`

#### Tags:

access: | protected

[ Top ]

### method getMenuItemInternalAttributes [line 1106]

`void getMenuItemInternalAttributes( )`

#### Tags:

access: | protected

[ Top ]

### method getMenuItemRename [line 1143]

`void getMenuItemRename( )`

#### Tags:

access: | protected

[ Top ]

### method getMenuItemSelectionAttribute [line 2493]

`void getMenuItemSelectionAttribute( $attribute, $i)`

#### Tags:

access: | protected

#### Parameters:

| $attribute |
| $i |

[ Top ]

### method getMenuItemShowChildren [line 1214]

`void getMenuItemShowChildren( $children_count)`

#### Tags:

access: | protected

#### Parameters:

| $children_count |

[ Top ]

### method getMenuItemSwitchTemplate [line 1058]

`void getMenuItemSwitchTemplate( )`

#### Tags:

access: | protected

[ Top ]

### method getMode [line 434]

`void getMode( )`

Set the mode of the TemplateRender

Applicable modes are "create" or "edit"

#### Tags:

access: | protected

Overrides PageRender::getMode() (May be overloaded in other classes)
[ Top ]

### method getModeContainer [line 451]

`void getModeContainer( )`

Return the container for this mode

#### Tags:

access: | protected

Overrides PageRender::getModeContainer() (parent method not documented)
[ Top ]

### method getModifiedAttributesMessage [line 1010]

`void getModifiedAttributesMessage( &$modified_attributes)`

#### Tags:

access: | protected

#### Parameters:

| &$modified_attributes |

[ Top ]

### method getModifyMemberMenuItemAttribute [line 2098]

`void getModifyMemberMenuItemAttribute( $attribute)`

#### Tags:

access: | protected

#### Parameters:

| $attribute |

[ Top ]

### method getReadOnlyMessage [line 1022]

`void getReadOnlyMessage( )`

#### Tags:

access: | protected

[ Top ]

### method getRenameMenuItemAttribute [line 2117]

`void getRenameMenuItemAttribute( $attribute)`

#### Tags:

access: | protected

#### Parameters:

| $attribute |

[ Top ]

### method getViewSchemaMessage [line 1031]

`void getViewSchemaMessage( )`

#### Tags:

access: | protected

[ Top ]

### method haveDefaultTemplate [line 472]

`void haveDefaultTemplate( )`

Is the default template enabled?

#### Tags:

access: | protected

[ Top ]

Documentation generated on Tue, 22 Nov 2011 16:30:13 +0100 by phpDocumentor 1.4.1